<?php
if ($level == 0) {
  header('Location: /index.php');
  exit;
}



if (isset($_POST['restart']))
{

$sql -> update("UPDATE `users` SET `MyTelCode` = '' WHERE `id` = '".$user['id']."' LIMIT 1");
  header('Location: /?func=tel.phome');
  exit;
}




if (isset($_POST['sendsms']))
{
include_once FUNC.'smsc_api.php'; 


if (isset($_SESSION['antiflud']) && $_SESSION['antiflud'] > time())$err[] = 'Нельзя так часто высылать код подтверждения. Подождите 5 минут и повторите попытку.';

    $captcha = (int) $_POST['captcha'];
    if ($captcha != $_SESSION['captcha'])$err[] = 'Неверный код с картинки';

     if (preg_match('#^\+?([0-9]+)$#', $_POST['phone'], $nt))
     {
     $phone = $nt[1];
     } else $err[] = 'Неверный формат номера телефона';



if ($user['wmr'] < 1)$err[] = 'Недостаточно средств на личном счёте !';

$phone = str_replace('+', '', $phone);


     if (!isset($err))
     {
     $codeByBrodaga = mt_rand(00000, 99999);
     
     $r = send_sms($phone, 'Ваш код подтверждения: '.$codeByBrodaga);

     if ($r[1] > 0)
     {
    $sql -> update("UPDATE `users` SET `MyTelCode` = '".$codeByBrodaga."', `MyTelefon` = '".esc($phone)."', `MyTelefonOk` = '0', `wmr` = `wmr` - '1' WHERE `id` = '".$user['id']."' LIMIT 1");//запись кода подтверждени
	$BySMS = "Списание за подтверждение мобильного телефона.";
          $sql -> insert("INSERT INTO `billing_log` (`time`, `type`, `id_user`, `coins`, `msg`) VALUES ('".time()."', 'Mysms', '$user[id]', '-1', '$BySMS')"); 

     $_SESSION['antiflud'] = time() + 300;
     $_SESSION['message'] ='Код подтверждения отправлен на номер +'.$phone;
      header('Location: /?func=tel.phome');
  exit;
     }
     }


}


if (isset($_POST['ok'])) 
{

     if ($user['MyTelCode'] != $_POST['code'])$err[] = 'Неверный код подтверждения';


     if (!isset($err))
     {
     $sql -> update("UPDATE `users` SET `MyTelCode` = '', `MyTelefonOk` = '1' WHERE `id` = '".$user['id']."' LIMIT 1");
     $_SESSION['message'] ='Номер телефона подтвержден';
  header('Location: /?func=tel.phome');
  exit;
     }


}



if (!isset($_POST['phone']) && $user['MyTelefon'] != NULL)$phone = $user['MyTelefon'];
if (!isset($phone))$phone = NULL;

$system['title'] = 'Проверка телефона';
require SYS . 'header.php';
?>
<div class="main_menu">
<font color='red'>
* Подтверждение номера не обязательно !<br />
Происходит на добровольной основе, за Ваш счет. Деньги, в размере <b>1 wmr</b> снимаются с Вашего личного счета на проекте. <br />
Номер телефона нигде не отображается и будет использоваться для различных оповещений(продажа товара, жалоба, возврат средств и т.д.)<br />
Номер телефона должен быть в международном формате.</font> <br /> <b>Пример : </b>
<font color='green'><b>+79112223344</b></font><br />
<a href='/?func=user.telsend'>Настройка оповещений SMS</a>
</div>
<?


if ($user['MyTelCode'] != NULL)
{
	?>
	<form class="form-horizontal" action="?func=tel.phome" method="POST">
  <div class="control-group warning">
    <label class="control-label" for="inputCode">Код подтверждения</label>
    <div class="controls">
      <input type="text" id="inputCode" name="code" placeholder="Код подтверждения.."><br />

    </div>
  </div>
  <div class="control-group">
    <div class="controls">
      <button type="submit" class="btn" name="ok">Подтвердить</button>
       <button type="submit" class="btn" name="restart">Выслать заново</button>
    </div>
  </div>
  </form>
<?
  }

if ($user['MyTelCode'] == NULL)
{
	?>
<form class="form-horizontal" action="?func=tel.phome" method="POST">
	<div class="control-group warning">
    <label class="control-label" for="phone">Ваш номер телефона:</label>
    <div class="controls">
    <input type="text" id="phone" name="phone" placeholder="<?=$phone?>"><br />     
    </div>
  </div>
  <div class="control-group">
    <label class="control-label" for="captcha">Код с картинки</label>
    <div class="controls">
     <img src="/_src/captcha.php?sid=<?= mt_rand(10000, 99999); ?>" id="captcha" class="captcha" /> <input type="text" id="captcha" class="captcha" name="captcha" placeholder="Введите код с картинки..">
    </div>
  </div>
    <div class="control-group">
    <div class="controls">
      <button type="submit" class="btn" name="sendsms">Выслать код</button>
    </div>
  </div>
  </form>
<?
  }